/*******************************************************************************
* File Name: .h
* Version 2.50
*
* Description:
*  This private header file contains internal definitions for the SPIM
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIM_PVT_CLKGEN1_H)
#define CY_SPIM_PVT_CLKGEN1_H

#include "CLKGEN1.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/

extern volatile uint8 CLKGEN1_swStatusTx;
extern volatile uint8 CLKGEN1_swStatusRx;

#if(CLKGEN1_TX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 CLKGEN1_txBuffer[CLKGEN1_TX_BUFFER_SIZE];
    extern volatile uint8 CLKGEN1_txBufferRead;
    extern volatile uint8 CLKGEN1_txBufferWrite;
    extern volatile uint8 CLKGEN1_txBufferFull;
#endif /* (CLKGEN1_TX_SOFTWARE_BUF_ENABLED) */

#if(CLKGEN1_RX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 CLKGEN1_rxBuffer[CLKGEN1_RX_BUFFER_SIZE];
    extern volatile uint8 CLKGEN1_rxBufferRead;
    extern volatile uint8 CLKGEN1_rxBufferWrite;
    extern volatile uint8 CLKGEN1_rxBufferFull;
#endif /* (CLKGEN1_RX_SOFTWARE_BUF_ENABLED) */

#endif /* CY_SPIM_PVT_CLKGEN1_H */


/* [] END OF FILE */
