/*******************************************************************************
* File Name: .h
* Version 2.50
*
* Description:
*  This private header file contains internal definitions for the SPIM
*  component. Do not use these definitions directly in your application.
*
* Note:
*
********************************************************************************
* Copyright 2012-2015, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SPIM_PVT_CLKGEN2_H)
#define CY_SPIM_PVT_CLKGEN2_H

#include "CLKGEN2.h"


/**********************************
*   Functions with external linkage
**********************************/


/**********************************
*   Variables with external linkage
**********************************/

extern volatile uint8 CLKGEN2_swStatusTx;
extern volatile uint8 CLKGEN2_swStatusRx;

#if(CLKGEN2_TX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 CLKGEN2_txBuffer[CLKGEN2_TX_BUFFER_SIZE];
    extern volatile uint8 CLKGEN2_txBufferRead;
    extern volatile uint8 CLKGEN2_txBufferWrite;
    extern volatile uint8 CLKGEN2_txBufferFull;
#endif /* (CLKGEN2_TX_SOFTWARE_BUF_ENABLED) */

#if(CLKGEN2_RX_SOFTWARE_BUF_ENABLED)
    extern volatile uint8 CLKGEN2_rxBuffer[CLKGEN2_RX_BUFFER_SIZE];
    extern volatile uint8 CLKGEN2_rxBufferRead;
    extern volatile uint8 CLKGEN2_rxBufferWrite;
    extern volatile uint8 CLKGEN2_rxBufferFull;
#endif /* (CLKGEN2_RX_SOFTWARE_BUF_ENABLED) */

#endif /* CY_SPIM_PVT_CLKGEN2_H */


/* [] END OF FILE */
