/*******************************************************************************
* File Name: LEDDRIVER_RESET.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDDRIVER_RESET_ALIASES_H) /* Pins LEDDRIVER_RESET_ALIASES_H */
#define CY_PINS_LEDDRIVER_RESET_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define LEDDRIVER_RESET_0			(LEDDRIVER_RESET__0__PC)
#define LEDDRIVER_RESET_0_INTR	((uint16)((uint16)0x0001u << LEDDRIVER_RESET__0__SHIFT))

#define LEDDRIVER_RESET_INTR_ALL	 ((uint16)(LEDDRIVER_RESET_0_INTR))

#endif /* End Pins LEDDRIVER_RESET_ALIASES_H */


/* [] END OF FILE */
