/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "defines.h"


extern uint8 TempRd_Buffer[TEMPI2C_RDBUFFSIZE];


void GetTempData()
{
    uint32 MStatus;
    int i = 0;
    
    MStatus = TempI2C_MasterSendStart(TEMP_I2C_SLAVE_ADDR, TempI2C_READ_XFER_MODE);
    if(TempI2C_MSTR_NO_ERROR == MStatus)   // Check if transfer completed without errors
    {
    // Read array of 5 bytes
        for(i=0; i<TEMPI2C_RDBUFFSIZE; i++)
        {
            if(i < TEMPI2C_RDBUFFSIZE-1)     
            {
                TempRd_Buffer[i] = TempI2C_MasterReadByte(TempI2C_ACK_DATA);
            }
            else
            {
                TempRd_Buffer[i] = TempI2C_MasterReadByte(TempI2C_NAK_DATA);
            }
        }
    }
    
    TempI2C_MasterSendStop(); // Send Stop    

    
    
}    






/* [] END OF FILE */
