/*******************************************************************************
* File Name: GIGE_PHY_RESET.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GIGE_PHY_RESET_ALIASES_H) /* Pins GIGE_PHY_RESET_ALIASES_H */
#define CY_PINS_GIGE_PHY_RESET_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define GIGE_PHY_RESET_0			(GIGE_PHY_RESET__0__PC)
#define GIGE_PHY_RESET_0_INTR	((uint16)((uint16)0x0001u << GIGE_PHY_RESET__0__SHIFT))

#define GIGE_PHY_RESET_INTR_ALL	 ((uint16)(GIGE_PHY_RESET_0_INTR))

#endif /* End Pins GIGE_PHY_RESET_ALIASES_H */


/* [] END OF FILE */
